#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int a[n][m];
    long long zb=0;
    for (int i=0; i<n; ++i){
        for (int j=0; j<m; ++j){
            cin>>a[i][j];
            zb+=a[i][j];
        }
    }
    if (n==1){
        int x=0;
        for (int i=0; i<32; ++i){
            int b=0;
            for (int j=0; j<m; ++j){
                b+=(a[0][j]>>i)%2;
            }
            x+=(1<<i)*(b/(m/2));
        }
        long long s=0;
        for (int i=0; i<m; ++i){
            s+=x^a[0][i];
        }
        cout<<s;
    }
    else{
        cout<<zb/3;
    }
    return 0;
}